Skip to main content
Sessions

列出 Session 资源

列出挂载到 Session 的资源。 GET /api/v1/cloud/sessions/{session_id}/resources 使用游标分页读取 Session resources。

路径参数

参数类型说明
session_idstringsess_ 为前缀的 Session ID

查询参数

参数类型必填说明
limitinteger最大返回资源数。默认 20,范围 1-100。超过 100 返回 400 invalid_request_error
pagestring上一次响应 next_page 返回的不透明游标。与 before_idafter_id 互斥
before_idstring返回此 resource ID 之前的资源。与 pageafter_id 互斥
after_idstring返回此 resource ID 之后的资源。与 pagebefore_id 互斥

请求头

头部必选说明
AuthorizationBearer $QODER_PAT

示例请求

curl https://api.qoder.com.cn/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources \
  -H "Authorization: Bearer $QODER_PAT"

响应字段

字段

类型

说明

data

array

Session resource 对象数组

has_more

boolean

当前结果集之后还有更多页时为 true

first_id

string | null

当前页第一个 resource 的 ID

last_id

string | null

当前页最后一个 resource 的 ID

next_page

string | null

下一页的不透明游标;作为 page 查询参数传入

示例响应

HTTP 200 OK
{
  "data": [
    {
      "id": "sesr_0e4323e8f47ba34853f5409e",
      "type": "file",
      "file_id": "file_019ef2a07a06704fb899908c29eed779",
      "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
      "created_at": "2026-06-23T05:53:19.77484Z",
      "updated_at": "2026-06-23T05:53:38.185714Z"
    }
  ],
  "first_id": "sesr_0e4323e8f47ba34853f5409e",
  "last_id": "sesr_0e4323e8f47ba34853f5409e",
  "has_more": false,
  "next_page": null
}

资源结构见 Session resource

错误码

HTTP类型触发条件
400invalid_request_errorlimit 非正整数或非整数,或同时传入 pagebefore_id/after_id
401authentication_errorPAT 无效或过期
404not_found_errorSession 不存在
HTTP 404 Not Found
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}

完整错误信封格式见 错误参考